Subject: ***SPAM*** Re: [Ietf-calsify] Restrict BYSETPOS to use only with BYDAY

From: TimHare at comcast.net ([email-masked])
Date: Mon Feb 12 14:53:17 2007

I like the recurrence property, as long as the standard sets a "MUST" rule that limits the duration allowed until the required refresh - the time period can't be too long or the limited clients will have effectively the same problem as the unlimited-recurrences case.

I am not at my home machine, so I can't see my previous e-mail, but I think I previously proposed promoting recurrence sets to a new VRECUR component; I would also support combining the "must refresh" property into that idea as well. Having VRECUR components separate from VEVENT components would simplify some things for recurrences, allowing us to have different properties for recurring events and to simplify one-instance events.

Tim Hare
Interested Bystander, Non-Inc.

-------------- Original message -------------- 
From: Cyrus Daboo <[email-masked]> 

> Hi Mike, 
> 
> --On February 12, 2007 9:55:46 AM -0800 Mike Samuel 
> wrote: 
> 
> > I agree that's easier but this is a recurrence rule used for certain 
> > business rules that is expressible today, but not if the proposed 
> > change goes into effect. 
> > 
> > See http://www.google.com/search?q=15th+and+30th+of+the+month for 
> > examples of where this rule is described. It seems to be mostly used 
> > as a way of expressing a bi-monthly deadline for receipt of forms. 
> 
> Remember that there are always going to be rules that are hard or 
> impossible to rally get to work with RRULE. Taking your example: what 
> happens if the 15th or 30th is a weekend - one might expect the forms to 
> come in the Friday before or perhaps the Monday after - then how do you use 
> RRULE (remember only a single RRULE is now allowed in 2445bis)? 
> 
> The fallback of course is to use a finite set of RDATEs that get "renewed" 
> periodically as needed. That fallback could be used if Nigel's proposal 
> were to be adopted. 
> 
> I'm still tempted by the idea of having a new recurrence property to help 
> with that. A property that indicates that the recurring event is 
> "incomplete" and needs to be "renewed" at a certain date or beyond would 
> certainly help in this situation. e.g. I could send out 12 months worth of 
> "15th/30th or following Monday" events using RDATEs with the new property 
> set to 20071231. In 2008, a client that sees such an event could alert the 
> user that a refresh of it is required in some way. This idea has been 
> discussed in the context of iTIP clients that cannot handle unbounded rules 
> too. 
> 
> -- 
> Cyrus Daboo 
> 
> _______________________________________________ 
> Ietf-calsify mailing list 
> [email-masked] 
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.osafoundation.org/pipermail/ietf-calsify/attachments/20070212/c5a0e2a7/attachment.html